# react-native-google-ad-manager

## Getting started

`$ npm install react-native-google-ad-manager --save`

### Mostly automatic installation

`$ react-native link react-native-google-ad-manager`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-google-ad-manager` and add `GoogleAdManager.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libGoogleAdManager.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainApplication.java`
  - Add `import com.reactlibrary.GoogleAdManagerPackage;` to the imports at the top of the file
  - Add `new GoogleAdManagerPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-google-ad-manager'
  	project(':react-native-google-ad-manager').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-google-ad-manager/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-google-ad-manager')
  	```


## Usage
```javascript
import GoogleAdManager from 'react-native-google-ad-manager';

// TODO: What to do with the module?
GoogleAdManager;
```
